/*
 * $Id: ConversionResponse.java,v 1.4 2005/03/10 00:46:19 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: ConversionResponse.java,v $
 * Revision 1.4  2005/03/10 00:46:19  marbobo
 * + keine Mails beim nachträglichen Konvertieren verschicken
 *
 * Revision 1.3  2004/02/24 09:23:21  koppy
 * + toString()
 *
 * Revision 1.2  2004/02/20 16:39:44  bigmac
 * Strings "normalisiert"
 *
 * Revision 1.1  2004/01/16 14:19:39  koppy
 * Initiale Version
 *
 */
package vkc.converter.common;

import java.util.Collection;

import vkc.util.StringUtils;

/**
 * This is a class represents a conversion response
 * with all neccessary information.
 * 
 * @author koppy
 */
public class ConversionResponse extends Response {
	private boolean sendmail = true;
	
	private Collection additionalDocFormats = null;
	private Collection tdfElements = null;
	
	private String title = "";
	private String keywords = "";
	private String description = "";			

	public Collection getAdditionalDocFormats() {
		return additionalDocFormats;
	}

	public void setAdditionalDocFormats( Collection collection ) {
		additionalDocFormats = collection;
	}

	public Collection getTdfElements() {
		return tdfElements;
	}

	public void setTdfElements( Collection collection ) {
		tdfElements = collection;
	}

	public String getDescription() {
		return description;
	}

	public String getKeywords() {
		return keywords;
	}

	public String getTitle() {
		return title;
	}

	public void setDescription( String string ) {
		description = StringUtils.normalize( string );
	}

	public void setKeywords( String string ) {
		keywords = StringUtils.normalize( string );
	}

	public void setTitle( String string ) {
		title = StringUtils.normalize( string );
	}
	
	public String toString() {
		return "Title=\"" + getTitle() + "\", keywords=\"" + getKeywords() + "\""; 
	}

    public boolean isSendmail() {
        return sendmail;
    }

    public void setSendmail( boolean sendmail ) {
        this.sendmail = sendmail;
    }
}